Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045710
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2021-01-11 17:442021-01-15 08:32
ReporteregoitzView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045710: Query to get characteristics model is taking more than 10 minutes.

DescriptionWhen executing a full refresh, on an environment with thousands of characteristics, the query is taking more than 10 minutes.

Model: Characteristic Value
Query:
select characteri0_.M_Ch_Value_ID as col_0_0_, characteri0_.Name as col_1_0_, characteri1_.M_Characteristic_ID as col_2_0_, adtreenode2_.Parent_ID as col_3_0_, characteri0_.IsSummary as col_4_0_, characteri0_.Name as col_5_0_, characteri0_.Isactive as col_6_0_, characteri1_.Name as col_7_0_ from M_Ch_Value characteri0_ inner join M_Characteristic characteri1_ on characteri0_.M_Characteristic_ID=characteri1_.M_Characteristic_ID cross join AD_TreeNode adtreenode2_ where characteri1_.AD_Tree_ID=adtreenode2_.AD_Tree_ID and characteri0_.M_Ch_Value_ID=adtreenode2_.Node_ID and characteri0_.IsSummary='N' and (exists (select 1 from M_Product_Ch_Value productcha3_ cross join OBRETCO_Prol_Product obretco_pr4_ where productcha3_.M_Product_ID=obretco_pr4_.M_Product_ID and productcha3_.M_Ch_Value_ID=characteri0_.M_Ch_Value_ID and (obretco_pr4_.Obretco_Productlist_ID in ($1)))) and characteri0_.Isactive='Y' and adtreenode2_.IsActive='Y' and 1=1 and 1=1 and (characteri0_.AD_Client_ID in ('ED6E1C1132D840E2AC6A9932603E09B0' , '0')) and characteri1_.EM_Obpos_Useonwebpos='Y' and characteri0_.Isactive='Y' and (exists (select 1 from AD_Org organizati5_ where (organizati5_.AD_Org_ID in ($2)) and ad_org_isinnaturaltree(characteri0_.AD_Org_ID, organizati5_.AD_Org_ID, characteri0_.AD_Client_ID)='Y')) order by characteri0_.Name, characteri0_.M_Ch_Value_ID limit $3
Steps To Reproduce-Execute a full refresh on an environment with thousandss of products and characteristcs values.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0125472)
hgbot (developer)
2021-01-14 18:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/258 [^]
(0125475)
hgbot (developer)
2021-01-15 08:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 8fb67e11385c6764fb9626fcabbcbe2e94815a27
Author: Sandra Huguet <sandra.huguet@openbravo.com>
Date: 2021-01-14T18:06:31+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/8fb67e11385c6764fb9626fcabbcbe2e94815a27 [^]

Fixes ISSUE-45710 improve characteristic and characteristicvalue
performance

- orderby only is necessary order by name in remote mode
- if not crossstore use naturalOrgCriteria

---
M src/org/openbravo/retail/posterminal/master/Characteristic.java
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
---
(0125476)
hgbot (developer)
2021-01-15 08:28

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/258 [^]

- Issue History
Date Modified Username Field Change
2021-01-11 17:44 egoitz New Issue
2021-01-11 17:44 egoitz Assigned To => Retail
2021-01-11 17:44 egoitz Triggers an Emergency Pack => No
2021-01-11 17:44 egoitz Severity major => critical
2021-01-11 17:47 malsasua Description Updated View Revisions
2021-01-12 12:28 adrianromero Assigned To Retail => prakashmurugesan88
2021-01-12 12:33 prakashmurugesan88 Status new => scheduled
2021-01-14 18:09 hgbot Note Added: 0125472
2021-01-15 08:28 hgbot Resolution open => fixed
2021-01-15 08:28 hgbot Status scheduled => closed
2021-01-15 08:28 hgbot Fixed in Version => RR21Q2
2021-01-15 08:28 hgbot Note Added: 0125475
2021-01-15 08:28 hgbot Note Added: 0125476
2021-01-15 08:32 Sandrahuguet Assigned To prakashmurugesan88 => Sandrahuguet


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker